Index: trunk/grails-app/views/inventoryItemDetailed/show.gsp
===================================================================
--- trunk/grails-app/views/inventoryItemDetailed/show.gsp	(revision 453)
+++ trunk/grails-app/views/inventoryItemDetailed/show.gsp	(revision 498)
@@ -353,11 +353,20 @@
                                     <tbody>
                                         <g:each in="${inventoryMovementList}" status="i" var="movements">
-                                            <tr class="${(i % 2) == 0 ? 'clickableOdd' : 'clickableEven'}" onclick='window.location = "${request.getContextPath()}/inventoryMovementDetailed/show/${movements.id}"'/>
-
-                                                <td>${fieldValue(bean:movements, field:'quantity')}</td>
-                                                <td>${fieldValue(bean:movements, field:'inventoryMovementType')}</td>
-                                                <td><g:formatDate date="${movements.date}" format="EEE, dd-MMM-yyyy"/></td>
-                                                <td>${fieldValue(bean:movements, field:'person')}</td>
-                                                <td>
+                                            <tr class="${(i % 2) == 0 ? 'clickableOdd' : 'clickableEven'}"/>
+
+                                                <td onclick='window.location = "${request.getContextPath()}/inventoryMovementDetailed/show/${movements.id}"'>
+                                                    ${fieldValue(bean:movements, field:'quantity')}
+                                                </td>
+                                                <td onclick='window.location = "${request.getContextPath()}/inventoryMovementDetailed/show/${movements.id}"'>
+                                                    ${fieldValue(bean:movements, field:'inventoryMovementType')}
+                                                </td>
+                                                <td onclick='window.location = "${request.getContextPath()}/inventoryMovementDetailed/show/${movements.id}"'>
+                                                    <g:formatDate date="${movements.date}" format="EEE, dd-MMM-yyyy"/>
+                                                </td>
+                                                <td onclick='window.location = "${request.getContextPath()}/inventoryMovementDetailed/show/${movements.id}"'>
+                                                    ${fieldValue(bean:movements, field:'person')}
+                                                </td>
+
+                                                <td class="notClickable">
                                                     <g:link controller="inventoryMovementDetailed" action="show" id="${movements.id}">
                                                         <img  src="${resource(dir:'images/skin',file:'database_go.png')}" alt="Show" />
@@ -466,5 +475,5 @@
                                                     ${fieldValue(bean:purchase, field:'inventoryItemPurchaseType')}
                                                 </td>
-                                                <td>
+                                                <td class="notClickable">
                                                     <g:link controller="inventoryItemPurchaseDetailed" action="show" id="${purchase.id}">
                                                         <img  src="${resource(dir:'images/skin',file:'database_go.png')}" alt="Show" title="Show" />
@@ -473,5 +482,5 @@
                                                 <g:if test="${purchase.inventoryItemPurchaseType.id == 1}">
                                                     <g:if test="${!purchase.receivedComplete}">
-                                                        <td>
+                                                        <td class="notClickable">
                                                             <g:link controller="inventoryItemPurchaseDetailed" action="receive" id="${purchase.id}">
                                                                 <img  src="${resource(dir:'images/skin',file:'basket_put.png')}" alt="Receive" title="Receive" />
@@ -480,9 +489,9 @@
                                                     </g:if>
                                                     <g:else>
-                                                        <td>
+                                                        <td class="notClickable">
                                                         </td>
                                                     </g:else>
                                                     <g:if test="${!purchase.invoicePaymentApproved}">
-                                                        <td>
+                                                        <td class="notClickable">
                                                             <g:link controller="inventoryItemPurchaseDetailed" action="approveInvoicePayment" id="${purchase.id}">
                                                                 <img  src="${resource(dir:'images/skin',file:'tick.png')}" alt="Approve" title="Approve Payment" />
@@ -491,12 +500,12 @@
                                                     </g:if>
                                                     <g:else>
-                                                        <td>
+                                                        <td class="notClickable">
                                                         </td>
                                                     </g:else>
                                                 </g:if>
                                                 <g:else>
-                                                    <td>
+                                                    <td class="notClickable">
                                                     </td>
-                                                    <td>
+                                                    <td class="notClickable">
                                                     </td>
                                                 </g:else>
